---
apiVersion: v1
kind: Namespace
metadata:
  name: cattle-system
---
apiVersion: helm.cattle.io/v1
kind: HelmChart
metadata:
  name: rancher
  namespace: cattle-system
spec:
  repo: https://releases.rancher.com/server-charts/stable 
  chart: rancher
  version: "v2.6.5"
  targetNamespace: cattle-system
  valuesContent: |-
    tls: external
    hostname: "{{ rancher_public_domain }}"
    bootstrapPassword: "admin"
    ingress.extraAnnotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls.certresolver: le
      traefik.ingress.kubernetes.io/service.serversscheme: http

